Bug 126310 - usb mouse stopped working
usb mouse stopped working
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-18 17:03 EDT by Jason
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2004-06-18 17:03:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040614 Firefox/0.9

Description of problem:
At some point in the past few weeks of yum updates, something updated
on my system and after I rebooted today, my USB mouse stopped working. 

If I enabled Legacy USB mode in my BIOS, the red light on my Microsoft
optical mouse comes on (and stays on) at boot time. If I disable
legacy mode, the light on the mouse goes out as soon as grub loads. In
both cases, when I start X the mouse doesn't work. 

If I boot using the 2.4 kernel, my mouse works fine. I also have the
same problem if I boot with kernel-2.6.5-1.358 which used to work so
there must be some other update that has affected this. 





Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435

How reproducible:
Always

Steps to Reproduce:
1. boot linux using 2.6 kernel
2. startx

    

Actual Results:  mouse doesn't work


Expected Results:  mouse should work :)

Additional info:

I've tried cycling the power on the computer. I've tried other mice.
I've verified that the mouse works on another computer.
Comment 1 Alan Cox 2004-06-18 22:40:49 EDT
Can you attach the "dmesg" output from a boot please. 
Comment 2 Jason 2004-06-18 23:02:50 EDT
Linux version 2.6.6-1.435 (bhcompile@tweety.build.redhat.com) (gcc 
version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Mon Jun 14 
09:09:07 EDT 2004
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003ffc0000 (usable)
 BIOS-e820: 000000003ffc0000 - 000000003fff8000 (ACPI data)
 BIOS-e820: 000000003fff8000 - 0000000040000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffb80000 - 00000000ffc00000 (reserved)
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
1023MB LOWMEM available.
zapping low mappings.
On node 0 totalpages: 262080
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 257984 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
ACPI: RSDP (v000 AMI                                       ) @ 
0x000ff980
ACPI: RSDT (v001 D850MV MV85010A 0x20011114 MSFT 0x00001011) @ 
0x3fff0000
ACPI: FADT (v001 D850MV MV85010A 0x20011114 MSFT 0x00001011) @ 
0x3fff1000
ACPI: MADT (v001 D850MV MV85010A 0x20011114 MSFT 0x00001011) @ 
0x3ffe36ef
ACPI: DSDT (v001 D850MV MV85010A 0x00000004 MSFT 0x0100000b) @ 
0x00000000
ACPI: PM-Timer IO Port: 0x408
Built 1 zonelists
Kernel command line: ro root=LABEL=/ apm=off
mapped 4G/4G trampoline to ffff3000.
Initializing CPU#0
CPU 0 irqstacks, hard=02346000 soft=02345000
PID hash table entries: 4096 (order 12: 32768 bytes)
Detected 1994.272 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Memory: 1036384k/1048320k available (1552k kernel code, 11192k 
reserved, 603k data, 144k init, 0k highmem)
Calibrating delay loop... 3932.16 BogoMIPS
Security Scaffold v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
There is already a security framework initialized, register_security 
failed.
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
CPU:     After generic identify, caps: 3febfbff 00000000 00000000 
00000000
CPU:     After vendor identify, caps: 3febfbff 00000000 00000000 
00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
CPU:     After all inits, caps: 3febf3ff 00000000 00000000 00000080
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU: Intel(R) Pentium(R) 4 CPU 2.00GHz stepping 04
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
checking if image is initramfs...it isn't (no cpio magic); looks like 
an initrd
Freeing initrd memory: 188k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfda95, last bus=2
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20040326
ACPI: IRQ9 SCI: Level Trigger.
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
PCI: Probing PCI hardware (bus 00)
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
ACPI: Power Resource [FDDP] (off)
ACPI: Power Resource [URP1] (off)
ACPI: Power Resource [URP2] (off)
ACPI: Power Resource [LPTP] (off)
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 *6 7 9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, 
disabled.
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, 
disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, 
disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 *9 10 11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
usbcore: registered new driver usbfs
usbcore: registered new driver hub
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 6
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 9
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 11
PCI: Using ACPI for IRQ routing
vesafb: probe of vesafb0 failed with error -6
apm: BIOS version 1.2 Flags 0x0b (Driver version 1.16ac)
apm: disabled on user request.
audit: initializing netlink socket (disabled)
audit(1087588721.473:0): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU1] (supports C1)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected an Intel i850 Chipset.
agpgart: Maximum main memory to use for agp memory: 941M
agpgart: AGP aperture is 64M @ 0xf8000000
Serial: 8250/16550 driver $Revision: 1.90 $ 8 ports, IRQ sharing 
enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
divert: not allocating divert_blk for non-ethernet device lo
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx
ICH2: IDE controller at PCI slot 0000:00:1f.1
ICH2: chipset revision 4
ICH2: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
hda: IC35L040AVVA07-0, ATA DISK drive
Using cfq io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hdc: DVD-ROM BDV316C, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 80418240 sectors (41174 MB) w/1863KiB Cache, CHS=65535/16/63, 
UDMA(100)
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 >
hdc: ATAPI 48X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
input: AT Translated Set 2 keyboard on isa0060/serio0
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 8192 buckets, 64Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
ACPI: (supports S0 S1 S4 S5)
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 144k freed
ACPI: Power Button (FF) [PWRF]
EXT3 FS on hda5, internal journal
device-mapper: 4.1.0-ioctl (2003-12-10) initialised: dm@uk.sistina.com
Adding 1052216k swap on /dev/hda6.  Priority:-1 extents:1
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda3, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
SCSI subsystem initialized
inserting floppy driver for 2.6.6-1.435
floppy0: no floppy controllers found
e100: Intel(R) PRO/100 Network Driver, 3.0.18
e100: Copyright(c) 1999-2004 Intel Corporation
divert: allocating divert_blk for eth0
e100: eth0: e100_probe: addr 0xfeaff000, irq 11, MAC addr 
00:03:47:F2:F7:1B
divert: freeing divert_blk for eth0
ip_tables: (C) 2000-2002 Netfilter core team
e100: Intel(R) PRO/100 Network Driver, 3.0.18
e100: Copyright(c) 1999-2004 Intel Corporation
divert: allocating divert_blk for eth0
e100: eth0: e100_probe: addr 0xfeaff000, irq 11, MAC addr 
00:03:47:F2:F7:1B
ip_tables: (C) 2000-2002 Netfilter core team
e100: eth0: e100_watchdog: link up, 100Mbps, half-duplex
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
lp0: using parport0 (polling).
lp0: console ready
NET: Registered protocol family 10
Disabled Privacy Extensions on device 022deac0(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
eth0: no IPv6 routers present
Comment 3 Pete Zaitcev 2004-06-19 03:51:55 EDT
I do not see any USB hardware support being brought up.
Might be "alias usb-controller <something>" missing
from /etc/modprobe.conf
Comment 4 Jason 2004-06-19 14:57:16 EDT
Is this something that I just have to know how to do or is it a bug 
in the upgrade process to the new kernel? Is kudzu supposed to figure 
this sort of stuff out? Can you point me somewhere that at least gets 
my mouse working again? Not sure what to do about the <something>...
Comment 5 Jason 2004-06-22 20:09:00 EDT
I resolved the problem by adding the following lines to 
my /etc/modprobe.conf file: 

alias usb-controller ehci-hcd
alias usb-controller uhci-hcd

I also had to enable Legacy USB mode in my BIOS. 

While this has my mouse working again, the upgrade/installation 
process should do this for me. 
Comment 6 Chris Bosshard 2004-06-26 17:31:51 EDT
I have also problems with the mouse since I upgraded to the newest kernel:

I see the loss of ps2 mouse function when using the newer 2.6.6-1.427
and 2.6.6-1.435 kernels.
The pointer jumps wild over the screen when the mouse is moved.

Booting with the 2.6.5-1.358 kernel solves the problem.

This problem is reproducible with two machines, one using the SMP
kernel, the other the normal kernel.
I use a PS2 mouse connected to a switch box.
Comment 7 Alan Cox 2004-06-26 17:39:56 EDT
The install or kudzu should have added the usb controller lines yes.
USB legacy ought to be irrelevant.

Chris - does your problem only occur with a switch box ?
Comment 8 Chris Bosshard 2004-06-26 18:14:05 EDT
The problem only exists when I use the switch box.
I just verified it.

Information regarding the hardware used:
Logitech wireless mouse: USB with PS2 adapter.
KMV switch box: King-Switch IV (PS2 Keyboard, Mouse and VGA, 4
machines connected)
I use this combination since Redhat 7, never noticed such a problem...
Comment 9 Chris Bosshard 2004-08-05 15:24:14 EDT
I just tried the 2.6.7-1.494.2.2smp kernel and the problem is still
present as with the 2.6.6 kernels.

As soon as I use the switch box the mouse pointer jumps around when
the mouse is moved.

I still have to hold on to the 2.6.5 kernel...
Comment 10 Dave Jones 2004-11-18 22:57:07 EST
how do things look with the latest errata kernel ?
Comment 11 Chris Bosshard 2005-01-01 17:45:22 EST
I have just rebooted with the latest kernel 2.6.9-1.681_FC3smp.
The mouse works OK, even with the switch box connected during the reboot.

Addtion to my error description with earlier kernels:
Earlier Kernels showed a wild jumping mouse cursor when I had the
switch box connected and the rebooting PC was the active channel. If
the switch box was switched to another PC during the reboot, the mouse
would work fine. This means when the machine finished booting I could
switch to my linux box and the mouse behaved normal.
Comment 12 Dave Jones 2005-04-16 00:40:13 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.